View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0010478VTK(No Category)public2010-03-29 10:002013-12-12 22:57
Reporterxabi riobe 
Assigned ToDave DeMarle 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version6.0.0 
Summary0010478: vtkKdTree::FindClosestPointWithinRadius returns points out of radius
DescriptionThe method vtkKdTree::FindClosestPointWithinRadius calls vtkKdTree::FindClosestPointInSphere, and the point returned can be out of the sphere, so out of the Radius passed as argument.
There must be an additional test in one of these two methods to compare the distance between the points and the given radius.
Additional Informationin the attached program test, we use a vtkKdTreeLocator that calls the vtkKdTree methods and gives wrong results, and it is compared to a vtkPointLocator that gives correct results.
TagsNo tags attached.
Project
Type
Attached Filescpp file icon Test.cpp [^] (4,006 bytes) 2010-03-29 10:00

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0031657)
xabi riobe (reporter)
2013-09-30 05:17

This bug is fixed in vtk 6.0.0

- Issue History
Date Modified Username Field Change
2010-03-29 10:00 xabi riobe New Issue
2010-03-29 10:00 xabi riobe File Added: Test.cpp
2011-06-16 13:11 Zack Galbreath Category => (No Category)
2012-03-07 04:05 xabi riobe Status expired => backlog
2012-03-07 04:05 xabi riobe Resolution open => reopened
2013-09-30 05:17 xabi riobe Note Added: 0031657
2013-12-12 22:57 Dave DeMarle Status backlog => closed
2013-12-12 22:57 Dave DeMarle Assigned To => Dave DeMarle
2013-12-12 22:57 Dave DeMarle Resolution reopened => fixed
2013-12-12 22:57 Dave DeMarle Fixed in Version => 6.0.0


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker